Subject: Use getPropertyPath in autocomplete widget
Description

Currently the AutocompleteController uses ObjectAccess::getProperty() for retrieving the property that was searched for in the query.

The query is currently flexible enough to support sub-properties to be searched. An example: if you have a User object you could
configure an autocomplete widget that searches for name.fullName. The query will execute that search without problems and find the
users.

But as soon as the results are build the widget crashes because it can not access the property.

A simple fix that should not cause any side effects would be to use ObjectAccess::getPropertyPath() instead.

Associated revisions
Revision 5332635e - 2014-01-19 16:38 - Alexander Stehlik

[BUGFIX] Use getPropertyPath in autocomplete widget

Since the query in the widget that searches for autocomplete items
already supports nested properties the building of the result array
now also uses ObjectAccess::getPropertyPath() instead of
ObjectAccess::getProperty().

Resolves: #55142
Releases: master
Change-Id: I6781767e926b45ef2d92e37eeab889974a0d14b7

History
#1 - 2014-01-19 16:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/26931

#2 - 2014-01-21 13:36 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5332635efb2b7f02a69ed87026edfd80fd42b040.
